#!/bin/bash

set -x

if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi

DIR="$(dirname $(realpath $0))"
INSTALL_DIR="/opt/ors-assembly"

mkdir -p $INSTALL_DIR && cd $INSTALL_DIR

if [ ! -f $INSTALL_DIR/slapos-device-configuration ]; then
  echo "Cloning slapos-device-configuration repository..."
  git clone https://lab.nexedi.com/nexedi/slapos-device-configuration
fi
cd slapos-device-configuration
git checkout -f ors
git reset --hard origin/ors

echo "Installing flash-ors-ssd and add-token commands..."
ln -sf $INSTALL_DIR/slapos-device-configuration/flash-image.sh /usr/bin/flash-ors-ssd
ln -sf $INSTALL_DIR/slapos-device-configuration/add-tokens.py /usr/bin/add-ors-tokens

echo "Installing slapos..."
wget https://deploy.rapid.space/slapos
bash slapos
echo "Installing re6st..."
wget https://deploy.rapid.space/re6st
bash re6st
